<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
	  xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>

<ui:composition>
	<div class="ui secondary pointing menu">
		<div class="item">
			<!--<i class="user icon"></i>-->
			<h:graphicImage id="headerIconId" url="/resources/images/icon16.png" height="16" width="16" alt="Icon"/>
			<b>${bioUtils.ownerName}</b>
		</div>
		<ui:repeat var="page" value="${menuUtils.menuItems}">
			<h:link outcome="${page.location}" styleClass="${view.viewId == page.location ? 'active' : ''} item">
				${page.name}
			</h:link>
		</ui:repeat>
		<h:panelGroup rendered="${currentUser.admin}">
			<div class="ui dropdown item">
				Admin
				<div class="menu">
					<h:link outcome="/admin/bio.xhtml" styleClass="link item" value="Edit bio"/>
					<h:link outcome="/admin/projects.xhtml" styleClass="link item" value="Edit projects"/>
					<h:link outcome="/admin/blog.xhtml" styleClass="link item" value="Edit blog"/>
					<h:link outcome="/admin/images.xhtml" styleClass="link item" value="Manage images"/>
					<h:link outcome="/admin/tags.xhtml" styleClass="link item" value="Edit tags"/>
					<h:link outcome="/admin/spam.xhtml" styleClass="link item" value="Edit spam filter"/>
					<h:link outcome="/admin/footer.xhtml" styleClass="link item" value="Edit footer"/>
				</div>
			</div>
		</h:panelGroup>
		<div class="right menu">
			<div class="item">
				<h:form>
					<div class="ui transparent icon input search">
						<h:inputText styleClass="prompt" value="#{searchQuery}">
							<f:passThroughAttribute name="placeholder" value="Search..."/>
						</h:inputText>
						<i class="search icon"></i>
						<div class="results"></div>
					</div>
					<h:commandButton action="${searchPanelUtils.toSearchPage(searchQuery)}"
									 styleClass="hidden">
					</h:commandButton>
				</h:form>
				<div class="results"></div>
			</div>
			<c:set var="user" value="${request.remoteUser}" scope="request"/>
			<h:panelGroup rendered="${not empty user}">
				<div id="user-menu-dropdown" class="ui dropdown item">
					${user}
					<i class="user icon"></i>
					<div class="menu">
						<div class="divider"></div>
						<h:outputLink styleClass="item" value="${request.contextPath}/logout">Logout</h:outputLink>
					</div>
				</div>
			</h:panelGroup>
		</div>
	</div>
</ui:composition>
</html>

